METALINK_CHECKSUM_T(3)

NAME
metalink_checksum_t - The structure that holds a hash value of an entire resource.

SYNOPSIS
#include <metalink/metalink_types.h>

DESCRIPTION
metalink_checksum_t is a structure that holds a hash value of an entire resource. It contains a hash value of a resource and its message digest algorithm name.

STRUCTURE MEMBERS
char *type;
char *hash;

  type
Null terminated string of a message digest algorithm name used to calculate hash value for a resource.

  hash
Null terminated string of a hash value in ASCII hexadecimal notation.

SEE ALSO
metalink_parse_file(3)